<?xml version="1.0" encoding="gb2312"?>
<xs:schema targetNamespace="urn:ietf:params:xml:ns:netconf:notification:1.0" 
           elementFormDefault="qualified" 
  xmlns="urn:ietf:params:xml:ns:netconf:notification:1.0" 
  xmlns:netconf="urn:ietf:params:xml:ns:netconf:base:1.0" 
  xmlns:event="http://www.h3c.com/netconf/event:1.0" 
  xmlns:netconf_monitor="http://www.h3c.com/netconf/monitor:1.0"
  xmlns:base="http://www.h3c.com/netconf/base:1.0"

  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  
  <xs:import namespace="urn:ietf:params:xml:ns:netconf:base:1.0" schemaLocation="netconf.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/event:1.0" schemaLocation="event.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/monitor:1.0" schemaLocation="netconf_event_monitor.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>


  <xs:element name="create-subscription" substitutionGroup="netconf:rpcOperation">
    <xs:complexType>
      <xs:complexContent>
        <xs:extension base="netconf:rpcOperation-Type">
          <xs:sequence>
            <xs:element name="stream" minOccurs="0">
              <xs:simpleType>
                <xs:restriction base="xs:string">
                  <xs:maxLength value="31"></xs:maxLength>
                  <xs:pattern value="^([a-zA-Z0-9_-]*)$"></xs:pattern>
                </xs:restriction>
              </xs:simpleType>
            </xs:element>
            <xs:element name="filter" minOccurs="0">
              <xs:complexType>
                <xs:choice>
                  <xs:element minOccurs="0" maxOccurs="unbounded" ref ="event:event" />
                  <xs:element minOccurs="0" maxOccurs="unbounded" ref ="netconf_monitor:NetconfMonitor" />
                  <xs:element minOccurs="0" maxOccurs="unbounded" ref ="base:comwareModuleEvent" />
                </xs:choice>
                <xs:attribute name ="type"  >
                  <xs:simpleType>
                    <xs:restriction base ="xs:string">
                      <xs:enumeration  value="subtree"></xs:enumeration>
                    </xs:restriction>
                  </xs:simpleType>
                </xs:attribute>
              </xs:complexType>
            </xs:element>
            <xs:element name="startTime" type="xs:dateTime" minOccurs="0" ></xs:element>
            <xs:element name="stopTime" type="xs:dateTime" minOccurs="0" ></xs:element>
          </xs:sequence>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>
  </xs:element>
</xs:schema>